Login/Register

Forcibly Update WordPress Plugins

Installatron Plugin and Installatron Server enable server administrators to forcibly update WordPress plugins to the latest version from the server command line. This is beta-quality feature—please report any issues encountered.

Command:

./installatron --upgrade

Required arguments:

Example 1: To update a specific WordPress plugin for every installed application on the server:

/usr/local/installatron/installatron --upgrade --version=current --id='*' --plugin='w3-total-cache'

Example 2: To update a set of WordPress plugins for every installed application on the server:

/usr/local/installatron/installatron --upgrade --version=current --id='*' --plugin='w3-total-cache,wp-super-cache,hello'

Example 3: To update a WordPress plugin for a specific installed application:

/usr/local/installatron/installatron --upgrade --version=current --id='0f1ef0131afc759f09e84c298a18ba75' --plugin='hello'

Example 4: To update all installed WordPress plugins and themes for every installed application on the server:

/usr/local/installatron/installatron --upgrade --version=current --id='*' --plugin='*' --theme='*'

© 2004 - 2016 Installatron LLC. All rights reserved.